---
schema_version: "1"
id: 145addbf0540995edd762181b0cfa0bf93b388bc67b44603bdc7684877b9a0c0
title: Get a Batch of Related List Metadata
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_related_list_info_batch.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_list_info_batch.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: f92db31ceebda95f77c953b12ccca1e257da4d43ff698c9efa7d09177439252c
description: Returns metadata for a batch of related lists in a page layout.
---
# Get a Batch of Related List Metadata

Returns metadata for a batch of related lists in a page layout.

Resource

/ui-api/related-list-info/batch/${parentObjectApiName}/${relatedListNames}

- parentObjectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.
- relatedListNames—Comma-separated IDs of supported related lists for that object.

Available Version

50.0

HTTP Method

GET

Example

To get information about the Contracts and Work Orders related lists for the Account object, make this request.

GET /services/data/v68.0/ui-api/related-list-info/batch/Account/Contracts,WorkOrders

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| recordTypeId | Id | The ID of the record type (RecordType object) for the record. If not provided, the default record type is used. | Optional | 50.0 |

Response Body

[Simplified Batch Results](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_batch_results_simplified.htm "The simplified results from a request to a batch resource. Results include information for each subrequest in the batch.")